Subject: RE: bug#1116: Emacs hangs when executing Info-final-node

From: "Drew Adams" <[email-masked]>
Date: Wed, 8 Oct 2008 09:03:15 -0700

I should add that if this is in fact the cause, it shows how vulnerable our code
is to something like extra ^M's - several places break because of node name
comparisons. Maybe some more general remedy should be taken to protect against
this kind of thing.

Node "Top" tends to be at the end of a line for nodes like the Index. Perhaps
node-name tests should even check for a final ^M, just to play dumb-safe. Dunno.